
#game-container {
    position: absolute;
    display: inline-block;
    user-select: none;
    width: 500px;
    height: 500px;
    x: 100px;
    y: 100px;
}

.cell {
    position: absolute;
    borderx: 1px solid #000;
    box-sizing: border-box;
    pointer-events: auto;
    transition: left 0.2s, top 0.2s;
}

#stats {
    margin: 20px 0;
    font-family: Arial, sans-serif;
}

#file-input {
    margin: 20px 0;
}

.social_button {
    width:60px;
    height:60px;
}

.social-buttons {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.hidden {
    display:none;
}

.burst.stopped {
    opacity: 0;
    transition: opacity 2s ease;
}

.burst.started {
    opacity: 1;
    transition: opacity 0.5s ease;
}

.dialog {
    opacity: 0;
    transition: opacity .5s ease;
}

.dialog.visible {
    opacity: 1;
}

.fullscreen {
    width:100%;
    height:100%; 
    position:absolute; 
    background-colorx:#FFEAA0
}

.dialog_container {
    width:100%;
    height:100%; 
    position:absolute; 
    background-color:#FFEAA0
}

.dialog_close_button {
    width:60px;
    height:60px;
}

.fitted {
    position:absolute;
    width:100%; 
    height:100%;  
    margin:0px; 
    padding:0px
}

.hometown_font {
    font-family: 'HometownHero', sans-serif;
}

.poiretone_font {
    font-family: 'PoiretOne', sans-serif;
}

.text_centered {
    text-align: center
}

.button-bar {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.button-bar button {
    flex: 0 0 auto;
}

.alphaPulse {
    animation: alphaPulse 2s ease-in-out infinite;
}

@keyframes alphaPulse {
    0%   { opacity: 0; }
    50%  { opacity: 1; }
    100% { opacity: 0; }
}

.button_throb {
    animation: button_throb 2s ease-in-out infinite;
}

@keyframes button_throb {
    0%    { transform: rotate(0deg); }
    12.5% { transform: rotate(15deg); }
    25%   { transform: rotate(0deg); }
    100%  { transform: rotate(0deg); }
}

@font-face {
  font-family: 'HometownHero';
  src: url('../fonts/HometownHero.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* Ensures text is visible while loading */
}

@font-face {
  font-family: 'PoiretOne';
  src: url('../fonts/PoiretOne.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* Ensures text is visible while loading */
}